Drop Function Field from Collection (V2)
This operation drops a function field from an existing collection.
POST/v2/vectordb/collections/drop_function_field
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
📘Notes
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.
Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
dbNamestring
The name of the database.
collectionNamestringrequired
The name of the collection.
functionNamestringrequired
The name of the function field to drop.
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/drop_function_field" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "documents",
"functionName": "bm25_fn"
}'
Responses200 OK - application/json
Returns an empty object.
codeinteger
Response code.
dataobject
Returns an error message.
codeinteger
Response code.
messagestring
Error message.
Successjson
{
"code": 0,
"data": {}
}